Bug 1025750 - rhn-satellite-exporter fails to create MD5SUM in FIPS mode
rhn-satellite-exporter fails to create MD5SUM in FIPS mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zazrivec
Jan Hutař
:
Depends On:
Blocks: 843620
  Show dependency treegraph
 
Reported: 2013-11-01 09:11 EDT by Milan Zazrivec
Modified: 2015-01-13 05:44 EST (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.2.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 05:44:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2013-11-01 09:11:46 EDT
Description of problem:
rhn-satellite-exporter when run in FIPS mode fails to create MD5SUM
for created ISOs and fails with the following error:

$ rhn-satellite-exporter --make-isos=dvd ...
...
Building  DVD Iso ...
---------- 1/1
Creating export/satellite-isos/rhn-export-20131101.0-01.iso
I: -input-charset not specified, using utf-8 (detected in locale settings)
Total translation table size: 0
Total rockridge attributes bytes: 1783
Total directory bytes: 10240
Path table size(bytes): 88
Max brk space used 0
197 extents written (0 MB)

12:09:38 
Error: ValueError caught!


Version-Release number of selected component (if applicable):
Satellite 5.6

How reproducible:
Always

Steps to Reproduce:
1. Satellite 5.6 running on a FIPS enabled system.
2. Run rhn-satellite-exporter --make-isos=dvd

Actual results:
Above error.

Expected results:
No error, rhn-satellite-exporter works correctly in FIPS mode.

Additional info:
N/A
Comment 1 Milan Zazrivec 2014-03-31 09:04:30 EDT
spacewalk.git master: e9bf4a27ebcb3db784e99d29db68f5fa3a4a6caa
Comment 4 Pavel Studeník 2015-01-09 09:53:02 EST
Reverified with spacewalk-backend-tools-2.3.3-23.el6sat.noarch

# rhn-satellite-exporter --make-isos=dvd -d /tmp/export/ -a
13:30:47 Gathering channel info...
Appending channels []
13:30:47 Gathering binary RPM info...
13:30:48 Gathering package info...
13:30:48 Gathering errata info...
13:30:48 Gathering kickstart data...
13:30:48 Gathering kickstart files info...
....
 25.16% done, estimate finish Fri Jan  9 13:48:02 2015
 50.22% done, estimate finish Fri Jan  9 13:48:02 2015
 75.28% done, estimate finish Fri Jan  9 13:48:03 2015
Total translation table size: 0
Total rockridge attributes bytes: 114244
Total directory bytes: 684032
Path table size(bytes): 3246
Max brk space used 108000
19928 extents written (38 MB
Comment 5 Clifford Perry 2015-01-13 05:44:00 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.